Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::spi::LogLevelMatchFilter Class Reference

This is a very simple filter based on LogLevel matching. More...

`#include <filter.h>`

Inheritance diagram for log4cplus::spi::LogLevelMatchFilter:

[legend]
Collaboration diagram for log4cplus::spi::LogLevelMatchFilter:

[legend]
List of all members.

## Public Member Functions
| LogLevelMatchFilter ()
| LogLevelMatchFilter (const log4cplus::helpers::Properties &p)
virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Return the decision of this filter.

## Detailed Description

This is a very simple filter based on LogLevel matching.

The filter admits two options LogLevelToMatch and AcceptOnMatch. If there is an exact match between the value of the LogLevelToMatch option and the LogLevel of the LoggingEvent, then the decide method returns ACCEPT in case the AcceptOnMatch option value is set to `true`, if it is `false` then DENY is returned. If there is no match, NEUTRAL is returned.

Definition at line 146 of file filter.h.

## Constructor & Destructor Documentation

log4cplus::spi::LogLevelMatchFilter::LogLevelMatchFilter | ( |  | ) |

log4cplus::spi::LogLevelMatchFilter::LogLevelMatchFilter | ( | const log4cplus::helpers::Properties & | p | ) |

## Member Function Documentation

virtual FilterResult log4cplus::spi::LogLevelMatchFilter::decide | ( | const InternalLoggingEvent & | event | ) | const`[virtual]`

| Return the decision of this filter. Returns NEUTRAL if the LogLevelToMatch option is not set or if there is no match. Otherwise, if there is a match, then the returned decision is ACCEPT if the AcceptOnMatch property is set to `true`. The returned decision is DENY if the AcceptOnMatch property is set to `false`. Implements log4cplus::spi::Filter.

The documentation for this class was generated from the following file:

- filter.h